GitLab repository storage has been migrated to hashed layout. Please contact Infrastructure team if you notice any issues with repositories or hooks.

Commit 4569f310 authored by Дилян Палаузов's avatar Дилян Палаузов Committed by Milan Crha

eds-I#99 - Fails to build against git master of OpenLDAP (vendor version check)

Related to GNOME/evolution-data-server#99
parent 1c7368c9
......@@ -86,7 +86,8 @@ set(CMAKE_REQUIRED_LIBRARIES "${LDAP_LIBS}")
if(WITH_OPENLDAP)
CHECK_C_SOURCE_COMPILES("#include \"ldap.h\"
int main(void) {
#if !defined(LDAP_VENDOR_VERSION) || LDAP_VENDOR_VERSION < 20000
/* LDAP_VENDOR_VERSION is 0 if OpenLDAP is built from git/master */
#if !defined(LDAP_VENDOR_VERSION) || (LDAP_VENDOR_VERSION != 0 && LDAP_VENDOR_VERSION < 20000)
#error OpenLDAP version not at least 2.0
#endif
return 0; }" openldap_2_x)
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment